%define name smeserver-manager-AdminLTE
%define version 11.0.0
%define release 14
Summary: AdminLTE is an html framework for admin consoles - this rpm adds it to smeserver manager2
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: https://adminlte.io/
Group: SMEserver/addon
source: %{name}-%{version}.tar.gz


Packager: Brian Read <brianr@koozali.org>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
Requires: smeserver-manager >= 11.0.0
AutoReqProv: no

%description
https://adminlte.io/
AdminLTE is an html framework for admin consoles
wget https://github.com/ColorlibHQ/AdminLTE/archive/master.zip

%changelog
* Fri Apr 25 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-14.sme
- Finish user templates. Saving fixed. Start on groups

* Fri Apr 25 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-13.sme
- Tidy some useraccounts formatting but admin page will not save

* Thu Apr 24 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0.12.sme
- Tidy user list

* Wed Apr 23 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-11.sme
- Working sidebar scrolling

* Sat Apr 19 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-10.sme
- Tweak the form values more but stil not right

* Sat Apr 19 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-9.sme
- Starting to update forms
- Moving as much formatting to simple html as possible
- Use Mojo helpers for some parts eg theme chooser - may come back to that

* Fri Apr 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-8.sme
- More cleanup
- Add Card support across all panels except login
- Disabled minimise and remove Card icons

* Thu Apr 17 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-7.sme
- Clean up review template (but footer in the wrong place)
- Fix typo tabel

* Wed Apr 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-6.sme
- Remove old template
- Update breadcrumbs

* Wed Apr 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-5.sme
- Fix Remote Access remove network

* Wed Apr 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-4.sme
- More template cleaning
- Fix Password syntax errors

* Tue Apr 15 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-3.sme
- Finish template tidy

* Tue Apr 15 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-2.sme
- Start to build templates with AdminLTE
- Split the basic template into sections to make it easier to manage
- Cleanup existign main templates
- Rename some partials more logically

* Tue Mar 25 2025 Brian Read <brianr@koozali.org> 11.0.0-1.sme
- New version for AdminLTE integration with no class or ids 

%prep
%setup 

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
